.application {
    display: flex;
    position: relative;
    font-family: "Roboto", sans-serif;
    line-height: 1.5;
}

.theme-light {
    background: #fff;
    color: rgba(0, 0, 0, .87);
}

.no-shadow:focus,
.no-shadow:active:focus {
    box-shadow: none !important;
}

.application-wrap {
    flex: 1 1 auto;
    backface-visibility: hidden;
    display: flex;
    flex-direction: column;
    min-height: 95vh;
    max-width: 100%;
    position: relative;
}

.app-bar-btn {
    background-color: transparent;
    color: rgba(0, 0, 0, .54);
}

.app-bar {
    position: fixed;
    top: 0;
    z-index: 5;
    contain: layout;
    display: block;
    flex: 1 1 auto;
    max-width: 100%;
    transition: .2s cubic-bezier(0.4, 0, 0.2, 1) transform, .2s cubic-bezier(0.4, 0, 0.2, 1) background-color, .2s cubic-bezier(0.4, 0, 0.2, 1) left, .2s cubic-bezier(0.4, 0, 0.2, 1) right, 280ms cubic-bezier(0.4, 0, 0.2, 1) box-shadow, .25s cubic-bezier(0.4, 0, 0.2, 1) max-width, .25s cubic-bezier(0.4, 0, 0.2, 1) width;
    box-shadow: 0 2px 4px -1px rgba(0, 0, 0, .2), 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12);
    border-radius: 0;
}

.theme-light.app-bar {
    background-color: #f5f5f5;
    box-shadow: 0 2px 4px -1px rgba(0, 0, 0, .2), 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12);
}

.app-bar-content {
    padding: 3px 12px;
    align-items: center;
    display: flex;
    position: relative;
    z-index: 0;
}

.v-btn {
    align-items: center;
    display: inline-flex;
    flex: 0 0 auto;
    font-weight: 500;
    letter-spacing: .08em;
    justify-content: center;
    outline: 0;
    position: relative;
    text-decoration: none;
    text-indent: 0.08em;
    text-transform: uppercase;
    transition-duration: .28s;
    transition-property: box-shadow, transform, opacity;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;
    cursor: pointer;
    padding: 0;
}

.v-btn:hover {
    background-color: rgb(236, 236, 236);
}

.v-btn-round {
    border-radius: 50%;
}

.v-btn-no-border {
    border: 0;
}

.v-btn-no-background {
    background-color: transparent;
}

.v-btn-icon {
    align-items: center;
    color: inherit;
    display: flex;
    flex: 1 0 auto;
    justify-content: inherit;
    line-height: normal;
    position: relative;
    transition: inherit;
    transition-property: opacity;
    min-height: 0;
    min-width: 0;
    padding: 0;
    background-color: transparent;
}

.v-btn-title {
    font-size: 1.25rem;
    text-transform: none;
    text-align: left;
}

.app-bar-title {
    font-size: 1.5rem;
    line-height: 1.5;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-left: 12px;
}

.app-bar-title-content {
    overflow: hidden;
    text-overflow: revert !important;
    white-space: nowrap;
    position: relative;
}
